#
# spec file for package tucnak
#
# Copyright (c) 2021 Walter Fey DL8FCL
# Copyright (c) 2022 Walter Fey DL8FCL
# Copyright (c) 2025 Andreas Stieger <Andreas.Stieger@gmx.de>
# This file is under MIT license
#

# Please submit bugfixes or comments via https://bugs.opensuse.org/
#


Name:           tucnak
Version:        4.67
Release:        lp160.10.13
Summary:        VHF and microwave contest log
License:        GPL-2.0-or-later
Group:          Productivity/Hamradio/Logging
URL:            https://tucnak.nagano.cz/
Source:         https://tucnak.nagano.cz/%{name}-%{version}.tar.gz
Patch0:         reproducible.patch
# for reproducible.patch
BuildRequires:  autoconf
BuildRequires:  automake
#
BuildRequires:  gpm-devel
BuildRequires:  pkgconfig
BuildRequires:  pkgconfig(alsa)
BuildRequires:  pkgconfig(fftw3)
BuildRequires:  pkgconfig(glib-2.0) >= 2.0.0
BuildRequires:  pkgconfig(gnutls)
BuildRequires:  pkgconfig(hamlib)
BuildRequires:  pkgconfig(hidapi-hidraw)
BuildRequires:  pkgconfig(libftdi1)
BuildRequires:  pkgconfig(librtlsdr)
# From https://tucnak.nagano.cz/download.php
# "Tucnak requires the libzia library of same version"
BuildRequires:  pkgconfig(libzia) = %{version}
BuildRequires:  pkgconfig(portaudio-2.0)
BuildRequires:  pkgconfig(sndfile) >= 1.0.2

%description
Tucnak is a amateur radio VHF and above contest logging program
with some useful features as networking, cw keying, ssb voicer,
sound recorder and more. User interface is based on Taclog.

%prep
%autosetup -p1

%build
# for reproducible.patch
autoreconf -fiv
#
export CFLAGS="%{optflags} -fcommon"
%configure \
	--with-gpm \
	--with-rtlsdr \
	--enable-pedantic \
	%{nil}
%make_build

%install
%make_install

%check
%make_build check

%files
%license COPYING
%doc NEWS README AUTHORS ChangeLog
%{_bindir}/*
%{_datadir}/applications/%{name}.desktop
%{_datadir}/pixmaps/%{name}.png
%{_datadir}/pixmaps/%{name}.xpm
%{_datadir}/%{name}/
%{_prefix}/lib/%{name}

%changelog
* Wed Feb 19 2025 Andreas Stieger <andreas.stieger@gmx.de>
- build with console mouse support and rtlsdr support
- build with all warnings (--pedantic)
- remove map file race condition to make build reproducible
  add reproducible.patch, boo#1237211
* Thu Feb 13 2025 Andreas Stieger <andreas.stieger@gmx.de>
- require same version of libtia as per upstream guidance
* Thu Feb 13 2025 Andreas Stieger <andreas.stieger@gmx.de>
- update to 4.67:
  * Fixed rotar+aircraft map draw
  * CQ delay is entered in seconds with one decimal place
  * CQ delay can be up to 2 minutes
  * Hamlib SSB CQ does not set PTT
  * Linux map mutex fix, TNX to SQ6EMM
- includes changes from 4.66:
  * Better QSO/beacon/aircraft info in map sidebar
  * Hamlib CW CQ repeat
  * Right strip of map shows QSO, beacon or aircraft info
  * Ctrl + allows font up to 64, updated form text
  * New locator map Alt+I
- includes changes from 4.65:
  * Beaconspots.uk database, TNX to G1OGY
  * Libzia configure fix, TNX to DL1JBE
  * SOTA/GMA/FF in Wizard has exctype=free and excname empty
  * AS info in map on right mouse button
* Sat Jan 11 2025 Andreas Stieger <andreas.stieger@gmx.de>
- Update to 4.64
- rework spec file to reflect libzia changes, add hidapi
* Fri Jan 28 2022 Mariusz Woźniak <sp6ina@c44.pl>
- update to version 4.34
* Fri Jan 29 2021 Mariusz Woźniak <sp6ina@wp.pl>
- update to version 4.25
* Sat Jun  8 2019 Wojciech Kazubski <wk@ire.pw.edu.pl>
- update to version 4.16
* Fri Feb 22 2019 Wojciech Kazubski <wk@ire.pw.edu.pl>
- update to version 4.15
* Sat Feb 18 2017 dl8fcl@darc.de
- update to version 4.09
* Sun Aug 21 2016 dl8fcl@t-online.de
- update to version 4.08
* Wed May 11 2016 dl8fcl@t-online.de
- update to version 4.07
* Tue Feb 23 2016 dl8fcl@t-online.de
- update to version 4.05
* Thu Oct 22 2015 dl8fcl@darc.de
- import into build service
